#46 PoPToP PPTP

pending
jre-phoenix
PPTP PoPToP (1)
5
2014-02-10
2014-01-28
Vincent B
No

Please support PPTP PoPToP for linux. When using an android device to connect to home linux machine peerguardian linux fails loading. When android device is disconnected peerguandian linux loads normally without a problem. This would be nice to have for android devices that use PPTP/IPSec for encryption on public or open wifi.

Discussion

  • jre-phoenix
    jre-phoenix
    2014-01-28

    • status: open --> pending
    • assigned_to: jre-phoenix
     
  • jre-phoenix
    jre-phoenix
    2014-01-28

    1.)
    What happens when you connect your phone AFTER starting pgl? Does everything work, or maybe is this connection blocked? Use the logging tab of pglgui or /var/log/pgl/pgld.log to see what's going on.

    2.)
    Then please stop pgl and connect your phone. Do a

    tail -f /var/log/pgl/pgld.log
    

    and in another terminal a

    tail -f /var/log/pgl/pglcmd.log
    

    and check the output when you do the "sudo pglcmd start".

     
    Last edit: jre-phoenix 2014-01-28
  • Vincent B
    Vincent B
    2014-02-08

    ..Allowing OUTPUT traffic to DNS server 127.0.1.1 [ OK ]
    ..Allowing OUTPUT traffic to DNS server 208.67.222.222 [ OK ]
    ..Allowing OUTPUT traffic to DNS server 208.67.220.220 [ OK ]
    ..Allowing FORWARD traffic to DNS server 127.0.1.1 [ OK ]
    ..Allowing FORWARD traffic to DNS server 208.67.222.222 [ OK ]
    ..Allowing FORWARD traffic to DNS server 208.67.220.220 [ OK ]
    ..Allowing LAN traffic ...
    ....INPUT from Internal error: Usage set_NETWORK IP SUBNETMASK, arguments were: "192.168.0.30 255.255.255.0 255.255.255.255".Bad argument 255.255.255.255' Tryiptables -h' or 'iptables --help' for more information.
    [fail]
    2014-02-08 11:11:01 EST Begin: pglcmd start
    Old iptables remove script /var/lib/pgl/.pglcmd.iptables.remove.sh still exists! Executing and then removing it [ OK ]
    Inserting iptables ...
    ..Setting up iptables for INPUT:
    ....Creating chain and inserting NFQUEUE rule [ OK ]
    ....Whitelisting ports [ OK ]
    ....Whitelisting IP ranges [ OK ]
    ....Inserting block rule [ OK ]
    ..Setting up iptables for OUTPUT:
    ....Creating chain and inserting NFQUEUE rule [ OK ]
    ....Whitelisting ports [ OK ]
    ....Whitelisting IPs [ OK ]
    ....Whitelisting IP ranges [ OK ]
    ....Inserting block rule [ OK ]
    ..Setting up iptables for FORWARD:
    ....Creating chain and inserting NFQUEUE rule [ OK ]
    ....Whitelisting ports [ OK ]
    ....Inserting block rule [ OK ]
    ..Allowing loopback traffic: INPUT OUTPUT [ OK ]
    ..Allowing OUTPUT traffic to DNS server 127.0.1.1 [ OK ]
    ..Allowing OUTPUT traffic to DNS server 208.67.222.222 [ OK ]
    ..Allowing OUTPUT traffic to DNS server 208.67.220.220 [ OK ]
    ..Allowing FORWARD traffic to DNS server 127.0.1.1 [ OK ]
    ..Allowing FORWARD traffic to DNS server 208.67.222.222 [ OK ]
    ..Allowing FORWARD traffic to DNS server 208.67.220.220 [ OK ]
    ..Allowing LAN traffic ...
    ....INPUT from Internal error: Usage set_NETWORK IP SUBNETMASK, arguments were: "192.168.0.30 255.255.255.0 255.255.255.255".Bad argument 255.255.255.255' Tryiptables -h' or 'iptables --help' for more information.

    PGLD.log did not output anything during start

     
  • jre-phoenix
    jre-phoenix
    2014-02-09

    Thanks, we are getting closer.
    Please post the output of "sudo ifconfig" and "ip addr".

    You may also send it in private if you have privacy concerns.

     
  • Vincent B
    Vincent B
    2014-02-10

    eth0 Link encap:Ethernet HWaddr 00:01:6c:52:a1:a2
    inet addr:192.168.0.30 Bcast:192.0.0.255 Mask:255.255.255.0
    inet6 addr: 2601:0:7c00:387:201:6cff:fe52:a1a2/64 Scope:Global
    inet6 addr: fe80::201:6cff:fe52:a1a2/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:190500 errors:0 dropped:0 overruns:0 frame:0
    TX packets:90137 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:22809086 (22.8 MB) TX bytes:138966542 (138.9 MB)
    Interrupt:17

    lo Link encap:Local Loopback
    inet addr:127.0.0.1 Mask:255.0.0.0
    inet6 addr: ::1/128 Scope:Host
    UP LOOPBACK RUNNING MTU:65536 Metric:1
    RX packets:28869 errors:0 dropped:0 overruns:0 frame:0
    TX packets:28869 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:0
    RX bytes:160250051 (160.2 MB) TX bytes:160250051 (160.2 MB)


    1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
    valid_lft forever preferred_lft forever
    2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:01:6c:52:a1:a2 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.30/24 brd 192.0.0.255 scope global eth0
    valid_lft forever preferred_lft forever
    inet6 2601:0:7c00:387:201:6cff:fe52:a1a2/64 scope global dynamic
    valid_lft 345473sec preferred_lft 345473sec
    inet6 fe80::201:6cff:fe52:a1a2/64 scope link
    valid_lft forever preferred_lft forever